# -*- coding: utf-8 -*-
import folium
import json

carte = folium.Map(location=[45.243109, 3.883620], zoom_start = 8)

with open('donnees/dep-aura.geojson', encoding='utf-8') as fichier:
    geo_dep = json.load(fichier)

for dep in geo_dep["features"]:
    prop = dep["properties"]
    coord = (prop["pos_x"],prop["pos_y"])
    folium.Marker(coord, 
                  popup = prop["nom"]+" ("+ prop["code"] +")").add_to(carte)

carte.save('CarteAuraCL.html')

