#-----------------------------------------------------------
# Connexion à notre internet via notre point d'accés wi-fi
#-----------------------------------------------------------
import network           # module pour la gestion du réseau
#------------------------------------
# Identifiant de notre BOX et clé wi-fi
#------------------------------------
ssid = 'MaBox'
password = 'xxxxxxxxxxxxxxxxxx'

# création d'un objet WLAN permettant d'interagir avec l'interface WIFI de notre carte ESP8266
station = network.WLAN(network.STA_IF) 
station.active(True)                   # on active cette interface                  
station.connect(ssid, password)        # on se connecte au réseau local

while station.isconnected() == False:  # boucle d'attente jusqu'à ce que la connexion soit établie
  pass

print('Connexion établie avec succès')
print(station.ifconfig())              # on affiche la configuration réseau

