# -*- coding: utf-8 -*-
############################################################
#   Transformation en négatif couleur
#########################################################

import PIL  #on importe le module de traitement d'images

img=PIL.Image.open("lena.jpg")  # on ouvre le fichier image initial

largeur_image=512
hauteur_image=512

new_size = (largeur_image,hauteur_image)
img_negatif = PIL.Image.new('RGB',new_size) # on crée une nouvelle image en couleurs de même taille
                                       # le parametre 'RGB' indique une profondeur de couleur de 24
for y in range(hauteur_image):
    for x in range(largeur_image):
        r,v,b=img.getpixel((x,y))  # on recupere les 3 composantes du pixel
        nouveau_r = 255 - r
        nouveau_v = 255 - v
        nouveau_b = 255 - b
        img_negatif.putpixel((x,y),(nouveau_r, nouveau_v, nouveau_b))
       

img_negatif.save("lena_negatif.jpg", quality=100) # on enregistre l'image de sortie


