# -*- coding: utf-8 -*-
############################################################
#   Seuillage d'une image en niveau de gris 
#########################################################

import PIL  #on importe le module de traitement d'images

img=PIL.Image.open("lena_ndg_moyenne.jpg")  # on ouvre le fichier image initial en niveaux de gris

largeur_image=512
hauteur_image=512

new_size = (largeur_image,hauteur_image)
img_bin = PIL.Image.new('1',new_size)  # on crée une nouvelle image binaire de même taille
                                       # le parametre '1' indique une profondeur de couleur de 1
                                       
seuil = int(input("Quel est votre seuil (entre 0 et 255) ? "))                                       
for y in range(hauteur_image):
    for x in range(largeur_image):
        intensite = img.getpixel((x,y))  # on recupere la composante en NDG du pixel
        if (intensite > seuil):
            img_bin.putpixel((x,y),1)
        else:
            img_bin.putpixel((x,y),0)

img_bin.save("lena_nb.tif", quality=100) # on enregistre l'image de sortie


