# -*- coding: utf-8 -*-
import pandas
import folium

# Latitude, longitude du point de départ
coord_depart = ()
# Latitude, longitude du point d'arrivée
coord_arrivee = ()

#dans l'API, les coordonnées sont inversées en latitude et longitude
api_key = 
coord_dep = 
coord_arrivee = 
profile_pied = 
profile_voiture = 

url_pied = 'https://api.openrouteservice.org/directions?api_key='+ api_key +\
                    '&coordinates='+ coord_dep +'%7C'+ coord_arrivee +\
                    '&profile='+ profile_pied + '&preference=fastest&format=json&units=km'+\
                    '&geometry_format=polyline&geometry_simplify=true'
                                                             
###############################################################################
# ObtenirListePoints permet d'obtenir la liste des (x,y) récupérés a partir
# du fichier lien
###############################################################################
def ObtenirListePoints(lien):
    path_list = []
    json_api = pandas.read_json(lien, lines=True)

    data = json_api['routes'][0]
    # on crée une liste contenant les coordonnées des points de passage
    path_list = [(y, x) for x, y in data[0]['geometry']]
    return path_list

############################
# Programme principal
############################
folium_map = folium.Map(location=coord_depart, zoom_start = 16)

path_list_pied = ObtenirListePoints(url_pied)
folium.PolyLine(path_list_pied,
                weight=2,
                color='#FF0000',
                ).add_to(folium_map)

folium_map.save('ItineraireConcordeLouvre.html')

